RCCE(3)

NAME
RCCE_recv_test - RCCE receive message

SYNOPSIS
#include <rcce.h>

int RCCE_recv_test(char *privbuf, size_tsize,intID,int * test);

GORY version

int RCCE_recv(char *privbuf,volatile char * combuf,size_t combufsize,RCCE_FLAG * ready,RCCE_FLAG * sent,size_t size,int ID);

DESCRIPTION
RCCE_recv_test() is the non-blocking version of RCCE_recv(). It returns immediately. It does not wait for the required message to actually arrive. If the message has arrived, it is stored in the proper location in private memory, and the variable test is set to one. If the message has not arrived, test is set to zero.

privbuf
    Starting address (private memory) of data to be received.

size
    Size of message in bytes.

ID  Rank of target UE.

test
    Variable that indicates whether the receive was (1) or was not (0) successful.

DESCRIPTION (GORY)
RCCE_recv_test() is the non-blocking version of RCCE_recv(). It returns immediately. It does not wait for the required message to actually arrive. If it has, it is stored in the proper location in private memory and the variable test is set to one. If it hasn.t, test is set to zero.

privbuf
    Starting address (private memory) of data to be received.

combuf
    Starting address of intermediate MPB memory through which data are transferred.

combuf_size
    Size in bytes of intermediate space in MPB used for this communication.

ready
    Flag variable that indicates whether the receiver is ready to receive message.

sent
    Flag variable that indicates that the message has been sent.

size
    Size of message in bytes.

ID  Rank of target UE.

test
    Variable that indicates whether the receive was (1) or was not (0) successful.

RETURN VALUE
Upon successful completion RCCE_recv_test() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.